Bug 142244 - included ltdl library built without support for shared object files
Summary: included ltdl library built without support for shared object files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-08 14:52 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 17:17:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2004-12-08 14:52:21 UTC
Affecting kdelibs <= 3.3.2

See upstream kde bug:
http://bugs.kde.org/93359
For details and a quick-n-dirty patch to (re) enable proper loading of
*.so shared object files.

With this, work can potentially begin on purging all/most .la files
from the kde packages.

Comment 1 Rex Dieter 2005-01-03 18:22:49 UTC
FYI, test case of bug in the wild w/digikam-0.7:
http://bugzilla.fedora.us/show_bug.cgi?id=2284

Comment 2 Ngo Than 2005-04-19 17:17:35 UTC
the hack is included now kdelibs-3.3.1-2.11.FC3, which will be released by
friday this week. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.